Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.webapp.webxml
Class WebXml

    java.lang.Object
      org.apache.myfaces.webapp.webxml.WebXml

public class WebXml
extends java.lang.Object

Version:
  $Revision: 280367 $ $Date: 2005-09-12 12:54:36 -0400 (Mon, 12 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: svieujot $)

Constructor Summary
`WebXml()`

Method Summary
`java.util.List` | `getFacesServletMappings()`
`static WebXml` | `getWebXml(javax.faces.context.ExternalContext context)`
`static void` | `init(javax.faces.context.ExternalContext context)` should be called when initialising Servlet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebXml

    public WebXml()

Method Detail

### getFacesServletMappings

    public java.util.List getFacesServletMappings()

### getWebXml

    public static WebXml getWebXml(javax.faces.context.ExternalContext context)

### init

    public static void init(javax.faces.context.ExternalContext context)

  should be called when initialising Servlet

  Parameters:
    `context` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD